Subject: Re: bug#73401: [PATCH] Make window dividers and internal border respect alpha background

From: Garklein <[email-masked]>
Date: Sat, 8 Feb 2025 07:22:47 -0500

Monthly email to see if there's any updates  : )

Sorry about all the bumping, but this patch has made my Emacs a lot
better and I think it may be useful to others too.

On Sat, Dec 28, 2024 at 5:57 AM Eli Zaretskii <[email-masked]> wrote:
>
> Ping! Po Lu, any comments?
>
> > From: Garklein <[email-masked]>
> > Date: Wed, 11 Dec 2024 15:51:16 -0500
> > Cc: [email-masked], [email-masked]
> >
> > Any updates on this patch?
> >
> > On Sat, Nov 30, 2024 at 5:24 AM Eli Zaretskii <[email-masked]> wrote:
> > >
> > > > From: Garklein <[email-masked]>
> > > > Date: Sat, 23 Nov 2024 16:56:26 -0500
> > > > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> > > >
> > > > Here is a patch that adds this option as a frame parameter.
> > > >
> > > > I hope I did everything correctly, but I have never worked with the
> > > > Emacs C source before, so I probably made some mistakes in style or
> > > > logic.
> > > >
> > > > Also, should this be factored out so that `border-alpha-background' is
> > > > its own parameter? In that case, a lot of functions would need to be
> > > > changed (the `respect-alpha-background' parameter in many xterm.c
> > > > functions would probably be changed to just a `double alpha` or
> > > > something like that). I am up for that, but I'm not sure if it would
> > > > be a helpful change.
> > > >
> > > > Please let me know how it looks!
> > >
> > > Po Lu, any comments?
> >